Download it now!
Bug 66421 - FILEOPEN: visio 2013 document not opening.
Summary: FILEOPEN: visio 2013 document not opening.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.2.0 target:4.1.0.2 targe...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-30 23:23 UTC by Lachlan
Modified: 2013-07-04 07:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
document with most names and ips changed. (357.50 KB, application/vnd.visio)
2013-06-30 23:23 UTC, Lachlan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lachlan 2013-06-30 23:23:13 UTC
Created attachment 81768 [details]
document with most names and ips changed.

Problem description: 

Opening my visio 2013 document gives:
"General error. General input/output error"

Steps to reproduce:
-open this document

There isn't anything other than default images/notes in this document so i wouldn't have expected problems.

Tested on linux first, then windows to confirm.
Operating System: All
Version: 4.1.0.1 rc
Comment 1 Jorendc 2013-07-01 08:49:19 UTC
Thanks for reporting!

I can reproduce this behavior using Mac OSX 10.8.4 with LibreOffice Version: 4.2.0.0.alpha0+ Build ID: 9ab800829b8a0e44824dc11276b54b1870bc5b2b

@Fridrich: following FindTheExpert you are the guy whom to ping ;-). Any chance you can have a look? Thanks in advance!

Kind regards,
Joren
Comment 2 Commit Notification 2013-07-02 14:02:23 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50b0bf15bf0e173ba449efed93ef3909253b9988

Uploading new libvisio 0.0.29, fixing fdo#66421



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-07-02 14:11:00 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3820420edfb828e49735becf796803f0558ef844&h=libreoffice-4-1

Uploading new libvisio 0.0.29, fixing fdo#66421


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Lachlan 2013-07-04 03:34:31 UTC
Confirming fixed in nightly July 4.

Thank you.
Comment 5 Commit Notification 2013-07-04 07:53:15 UTC
Fridrich Å trba committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=815e1cb47080df5a85ae747856228db8441336f2&h=libreoffice-4-0

Uploading new libvisio 0.0.29, fixing fdo#66421


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Jorendc 2013-07-04 07:57:01 UTC
per comment 4 -> VERIFIED FIXED